<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>libneon</ProjectName>
    <ProjectGuid>{7F093948-4D4A-442C-80F9-D61BC4B98C9D}</ProjectGuid>
    <RootNamespace>libneon</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(Platform)\$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)\</IntDir>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|x64'">$(Platform)\$(Configuration)\</IntDir>
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
    <CodeAnalysisRuleSet Condition="'$(Configuration)|$(Platform)'=='Release|x64'">AllRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisRules Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
    <CodeAnalysisRuleAssemblies Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <PreBuildEvent>
      <Command>copy_config.bat</Command>
    </PreBuildEvent>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>../../libs/expat-2.0.1/lib;../../libs/neon-0.29.5/src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_LIB;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;COMPILED_FROM_DSP;XML_STATIC;HAVE_EXPAT;_WFINDDATA_T_DEFINED;USE_GETADDRINFO;NE_BUFSIZ=65536;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <AdditionalDependencies>../win32/bin/Debug/libexpatMT.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>../win32/bin/Debug/libneon.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <PreBuildEvent>
      <Command>copy_config.bat</Command>
    </PreBuildEvent>
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>../../libs/expat-2.0.1/lib;../../libs/neon-0.29.5/src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WIN32;_WIN64;WIN64;_DEBUG;_LIB;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;COMPILED_FROM_DSP;XML_STATIC;HAVE_EXPAT;_WFINDDATA_T_DEFINED;USE_GETADDRINFO;NE_BUFSIZ=65536;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <AdditionalOptions>/MACHINE:X64 %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>../win64/bin/Debug/libexpatMT.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>../win64/bin/Debug/libneon.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>../../libs/expat-2.0.1/lib;../../libs/neon-0.29.5/src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_LIB;_WINDOWS;COMPILED_FROM_DSP;XML_STATIC;HAVE_EXPAT;_WFINDDATA_T_DEFINED;USE_GETADDRINFO;_CRT_SECURE_NO_DEPRECATE;NE_BUFSIZ=65536;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <AdditionalDependencies>../win32/bin/Release/libexpatMT.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>../win32/bin/Release/libneon.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>../../libs/expat-2.0.1/lib;../../libs/neon-0.29.5/src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_WIN32;_WIN64;WIN64;NDEBUG;_LIB;_WINDOWS;COMPILED_FROM_DSP;XML_STATIC;HAVE_EXPAT;_WFINDDATA_T_DEFINED;USE_GETADDRINFO;_CRT_SECURE_NO_DEPRECATE;NE_BUFSIZ=65536;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Lib>
      <AdditionalDependencies>../win64/bin/Release/libexpatMT.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>../win64/bin/Release/libneon.lib</OutputFile>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\..\libs\neon-0.29.5\src\config.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\memleak.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_207.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_acl.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_acl3744.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_alloc.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_auth.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_basic.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_compress.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_dates.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_defs.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_i18n.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_internal.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_locks.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_md5.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_ntlm.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_pkcs11.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_private.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_privssl.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_props.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_redirect.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_request.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_session.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_socket.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_ssl.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_sspi.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_string.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_uri.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_utils.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_xml.h" />
    <ClInclude Include="..\..\libs\neon-0.29.5\src\ne_xmlreq.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="config.solbox.hw" />
    <None Include="copy_config.bat" />
    <None Include="windows_nonblocking_connect.patch" />
    <None Include="ReadMe.txt" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="ne_socket.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_207.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_acl3744.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_alloc.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_auth.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_basic.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_compress.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_dates.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_i18n.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_locks.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_md5.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_ntlm.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_oldacl.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_pkcs11.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_props.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_redirect.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_request.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_session.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_socks.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_sspi.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_string.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_stubssl.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_uri.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_utils.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_xml.c" />
    <ClCompile Include="..\..\libs\neon-0.29.5\src\ne_xmlreq.c" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>